﻿#include <UrsSTM32F1-AD7606Spi.h>

spi_dev* const ad7606SpiDev = SPI1;    // Einlesen erfolgt über SPI1. Bei SPI2 ist ein anderer ClockDivider notwendig!
dma_dev* const ad7606DmaDev = DMA1;    // SPI1 wird von DMA1 bedient
gpio_dev* const ad7606pinRdDev = GPIOA; // Beim Bluepill liegen SPI1 auf PA4..PA7
dma_tube_reg_map* const ad7606TxDmaChannel = DMA1CH3_BASE;
dma_tube_reg_map* const ad7606RxDmaChannel = DMA1CH2_BASE;

volatile uint32_t* pinCsBSRR = &(gpioa.regs->BSRR);
volatile uint32_t* pinCvaBSRR = &(gpioa.regs->BSRR);
volatile uint32_t* pinBusyIdr = &(gpioa.regs->IDR);

uint16_t transmitBuf[1]{ 0xFFFF };